Linux Tvheadend not working in Fedora 22
#1
Hallo,

I installed Kodi in Fedora 22 and I would like to use the tvheadend client, but I get this error message in the logs:

Code:
19:49:38 T:139887072242048  NOTICE: Previous line repeats 1 times.
19:49:38 T:139887072242048   ERROR: Unable to activate the previous window
19:49:50 T:139887072242048  NOTICE: PVRManager - stopping
19:49:52 T:139886306019072  NOTICE: PVRManager - starting up
19:49:52 T:139886645528320  NOTICE: Thread PVRManager start, auto delete: false
19:49:52 T:139886653921024  NOTICE: Thread PVRClient start, auto delete: false
19:49:52 T:139886653921024   ERROR: PVR - Add-on 'Tvheadend HTSP Client' is using an incompatible API version. XBMC minimum API version = '1.9.6', add-on API version '1.9.2'
19:49:52 T:139886653921024 WARNING: UpdateAndInitialiseClients - failed to create add-on Tvheadend HTSP Client, status = 6
19:49:52 T:139886653921024 WARNING: UpdateAndInitialiseClients - failed to load the dll for add-on Tvheadend HTSP Client, disabling it

How can I fix this?

Mebus
Reply
#2
You clearly have a version mismatch - I suspect your pvr.hts is out of date with the version of Kodi you're running, although you haven't given much information.

Depending on where you got Kodi from, check there to see if there are updated pvr.hts packages. If not, you may have to build from source.
Reply
#3
Hallo,

I tried to start it again today after some time.

Now I get:

Code:
23:42:42 T:140051484195328 WARNING: JSONRPC: Could not parse type "Setting.Details.SettingList"
23:42:42 T:140051484195328  NOTICE: ActiveAE DSP - starting
23:42:42 T:140051484195328  NOTICE: initialize done
23:42:42 T:140051484195328  NOTICE: Running the application...
23:42:43 T:140051484195328  NOTICE: starting zeroconf publishing
23:42:43 T:140051484195328  NOTICE: starting upnp client
23:42:43 T:140049739929344  NOTICE: ES: Starting UDP Event server on 0.0.0.0:9777
23:42:43 T:140049739929344  NOTICE: UDP: Listening on port 9777
23:42:47 T:140051484195328 WARNING: CXRandR::Query - output LVDS has no current mode, assuming disconnected
23:43:56 T:140051484195328 WARNING: Previous line repeats 9 times.
23:43:56 T:140051484195328   ERROR: Unable to activate the previous window
23:45:31 T:140051484195328 WARNING: CXRandR::Query - output LVDS has no current mode, assuming disconnected
23:45:44 T:140050925123328 WARNING: Previous line repeats 3 times.
23:45:44 T:140050925123328  NOTICE: PVRManager - starting up
23:45:45 T:140049865328384   ERROR: PVR - Add-on 'Tvheadend HTSP Client' is using an incompatible API version. XBMC minimum API version = '4.1.0', add-on API version '1.9.2'
23:45:45 T:140049865328384 WARNING: UpdateAndInitialiseClients - failed to create add-on Tvheadend HTSP Client, status = 6
23:45:45 T:140049865328384 WARNING: UpdateAndInitialiseClients - failed to load the dll for add-on Tvheadend HTSP Client, disabling it
23:46:42 T:140051484195328  NOTICE: PVRManager - stopping
23:46:43 T:140050925123328  NOTICE: PVRManager - starting up
23:46:43 T:140050246469376   ERROR: PVR - Add-on 'Tvheadend HTSP Client' is using an incompatible API version. XBMC minimum API version = '4.1.0', add-on API version '1.9.2'
23:46:43 T:140050246469376 WARNING: UpdateAndInitialiseClients - failed to create add-on Tvheadend HTSP Client, status = 6
23:46:43 T:140050246469376 WARNING: UpdateAndInitialiseClients - failed to load the dll for add-on Tvheadend HTSP Client, disabling it

The Version number of the HTSP Client Addon is 1.9.39.

I am using Kodi 16 on Fedora 23.

Is the addon too old? Confused I set it to auto-update and it says there are no updates available.

Mebus
Reply
#4
Linux PVR addons must be installed separately. Your version of pvr.hts is indeed too old. IIRC the current version for Jarvis is 2.2.something.
Reply



Logout Mark Read Team Forum Stats Members Help
Tvheadend not working in Fedora 220
This forum uses Lukasz Tkacz MyBB addons.